EDIT - bug #9052

NPE in name details view for incomplete name relationships
06/03/2020 01:22 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/term.service
last remote request client time : 2020-06-03T13:11:25.797
last remote request response header time : Wed, 03 Jun 2020 13:11:26 GMT
client error time : 2020-06-03T13:11:26.468
login : admin
editor version : 5.15.0.202006022252
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.15.0.0.20200510
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1l
022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.name.NameRelationshipDetailElement.setEntity (NameRelation
shipDetailElement. java:76)

at eu.etaxonomy.taxeditor.ui.section.name.NameRelationshipDetailElement.setEntity (NameRelation
shipDetailElement. java:1l)

at eu.etaxonomy.taxeditor.ui.section.supplemental.AbstractReferencedEntityElement.setEntity (Ab
stractReferencedEntityElement. java:1)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement.<init> (AbstractEntityColl
ectionElement. java:113)

at eu.etaxonomy.taxeditor.ui.section.supplemental.AbstractReferencedEntityElement.<init> (Abstr
actReferencedEntityElement. java:55)

at eu.etaxonomy.taxeditor.ui.section.name.NameRelationshipDetailElement.<init> (NameRelationshi

pDetailElement. java:54)

at eu.etaxonomy.taxeditor.ui.element.CdmFormFactory.createEntityCollectionElement (CdmFormFacto

ry.java:2864)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.createElementComposite (Ab

stractEntityCollectionSection. java:273)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.createDynamicContents (Abs

tractEntityCollectionSection. java:261)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.renderContent (AbstractEnt

ityCollectionSection. java:230)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.internalUpdateSection (Abs

tractEntityCollectionSection. java:211)

at eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection.setEntity (AbstractEntityC

ollectionSection. java:169)

at eu.etaxonomy.taxeditor.ui.section.name.NameRelationshipDetailSection.setTaxonBase (NameRelat

ionshipDetailSection. java:111)

at eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart. java:99)
at org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:210)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.
:162)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmDataViewerE4.
a:143)

at eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.

at eu.etaxonomy.taxeditor.view.ed.details.DetailsViewerE4.

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4.
ava:284)

refresh (AbstractCdmDataViewerE4. java
setInput (AbstractCdmDataViewerE4. jav
setInput (DetailsViewerE4. java:202)

setInput (DetailsViewerE4. java:173)
showViewer (AbstractCdmEditorPartE4. j

at eu.etaxonomy.taxeditor.view.ed.details.DetailsPartE4.selectionChanged_internal (DetailsPartE

4.java:107)

at eu.etaxonomy.taxeditor.view.ed.AbstractCdmEditorPartE4S$DelaySelection.run (AbstractCdmEditor

PartE4. java:94)

at org.eclipse.swt.widgets.RunnablelLock.run (RunnablelLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)

23 more

Associated revisions

Revision afbd7a15 - 06/03/2020 01:23 PM - Andreas Miiller

fix #9052 fix NPE for name details view name relationships

History

#1 - 06/03/2020 01:23 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|afbd7a15f92a835d0c5daidc48f9fa20b3dd1235.

#2 - 06/03/2020 01:24 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther

Please review

#3 - 06/08/2020 09:43 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

works.
